> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loyalty.dog/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Info

> Retrieve user information associated with the current access token.

### Parameters:
- `current_user` (User): The user instance obtained from the current access token.

### Returns:
- `UserRead`: The serialized user data.



## OpenAPI

````yaml https://api.loyalty.dog/openapi.json get /v2/token
openapi: 3.1.0
info:
  title: LoyaltyDog
  description: >-

    Welcome to the LoyaltyDog API! This API provides access to our loyalty
    program features, allowing you to integrate with various platforms and
    manage your loyalty data.


    Want to query LoyaltyDog via an AI assistant (Claude, Cursor, Windsurf)? See
    the [MCP Integration guide](https://loyaltydog.ai/playground#mcp).
        
  termsOfService: https://loyalty.dog/loyalty-program-terms-service
  contact:
    name: LoyaltyDog Support
    url: https://loyalty.dog/contact-us
    email: support@loyalty.dog
  version: 1.0.1
servers:
  - url: https://api.loyalty.dog
    description: Production
security:
  - bearerAuth: []
paths:
  /v2/token:
    get:
      tags:
        - Token
      summary: Get Token Info
      description: >-
        Retrieve user information associated with the current access token.


        ### Parameters:

        - `current_user` (User): The user instance obtained from the current
        access token.


        ### Returns:

        - `UserRead`: The serialized user data.
      operationId: get_token_info_v2_token_get
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserRead'
        '401':
          description: Missing token or inactive user.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UserRead:
      properties:
        id:
          $ref: '#/components/schemas/PydanticObjectId'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        email:
          type: string
          format: email
          title: Email
        emailVerified:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Emailverified
        active:
          type: boolean
          title: Active
          default: true
        admin:
          type: boolean
          title: Admin
          default: false
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
      type: object
      required:
        - id
        - email
      title: UserRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT access token obtained from POST /v2/token.

````